# test for eccentric waveform model with advancement periastron

accounting = ligo.dev.o3.cbc.pe.lalinference

# trigger time tells u the part of data segment to retrieve. Check trigger-time along with geocent-time
# geocent-time is desirable near the end of this data segment.
# choose the post-trigger duration wisely.
trigger-time = 1187008882.43

label = TaylorF2EccFD25Hz
outdir = outdir_TaylorF2EccFD25Hz

detectors = [H1, L1, V1]
sampling-frequency = 512.
duration = 172.
post-trigger-duration = 1.0
minimum-frequency=25.
maximum-frequency=256.
reference_frequency=30.

sampler = dynesty
sampler-kwargs = {'nlive': 500}

channel-dict = {H1:GWOSC, L1:GWOSC, V1:GWOSC}

# custom waveform at lalsimulation
waveform-approximant = TaylorF2Ecc
frequency-domain-source-model = lal_taylorF2Ecc_fd
phase-marginalization =True
time-marginalization =True

n-simulation = 1

n-parallel = 1

request-cpus = 16

prior-dict = {
chirp_mass = Uniform(name='chirp_mass', minimum=0.8705505632961241,maximum=2.611651689888372),
mass_ratio = Uniform(name='mass_ratio', minimum=0.3333333333333333, maximum=1),
eccentricity = Uniform(name='e0', minimum=0.0, maximum=0.1),
luminosity_distance = 40.7,
a_1 = Uniform(name='a_1', minimum=-0.5, maximum=0.5),
a_2 = Uniform(name='a_1', minimum=-0.5, maximum=0.5),
theta_jn = Sine(name='theta_jn'),
psi =  Uniform(name='psi', minimum=0, maximum=3.141592653589793),
phase = Uniform(name='phase', minimum=0, maximum=6.283185307179586),
geocent_time = Uniform(1187008882.33, 1187008882.53, name='geocent_time', unit='s'),
ra = 3.44615914,
dec =  -0.40808407,
}

